Index: c/src/ada-tests/mptests/mp01/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp01/mptest.adb	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp01/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -29,6 +29,4 @@
 package body MPTEST is
 
-   package body PER_NODE_CONFIGURATION is separate;
-
 --PAGE
 --
@@ -39,5 +37,5 @@
       ARGUMENT : in     RTEMS.TASK_ARGUMENT
    ) is
-      C      : RTEMS.CHARACTER;
+      C      : CHARACTER;
       TIME   : RTEMS.TIME_OF_DAY;
       STATUS : RTEMS.STATUS_CODES;
@@ -47,10 +45,10 @@
       TEXT_IO.PUT( "*** TEST 1 -- NODE " );
       UNSIGNED32_IO.PUT(
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          WIDTH => 1
       );
       TEXT_IO.PUT_LINE( " ***" );
      
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE /= 1 then
+      if TEST_SUPPORT.NODE /= 1 then
          C := 'S';
       else
Index: c/src/ada-tests/mptests/mp01/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp01/mptest.ads	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp01/mptest.ads	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -57,106 +57,3 @@
    );
 
---
---  This is the Driver Address Table for this test.
---
-
-   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
-   (1=>
-      (
-        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
-        RTEMS.NO_DRIVER_ENTRY,                       -- Open
-        RTEMS.NO_DRIVER_ENTRY,                       -- Close
-        RTEMS.NO_DRIVER_ENTRY,                       -- Read
-        RTEMS.NO_DRIVER_ENTRY,                       -- Write
-        RTEMS.NO_DRIVER_ENTRY                        -- Control
-      )
-   );
-
---
---  This is the Initialization Tasks Table for this test.
---
-
-   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
-   (1=>
-     (
-       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
-       2048,                                          -- stack size
-       1,                                             -- priority
-       RTEMS.GLOBAL,                                  -- attributes
-       MPTEST.INIT'ACCESS,                            -- entry point
-       RTEMS.NO_PREEMPT,                              -- initial mode
-       0                                              -- argument list
-     )
-   );
-
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                             BEGIN SUBPACKAGE                           --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
-   --
-   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
-   --
-   --  DESCRIPTION:
-   --
-   --  This package is the specification for the subpackage
-   --  which will define the per node configuration parameters.
-   --
-   
-   package PER_NODE_CONFIGURATION is
-
-   --
-   --  LOCAL_NODE_NUMBER
-   --
-   --  DESCRIPTION:
-   --
-   --  This function returns the node number for this node.
-   --
-
-      function LOCAL_NODE_NUMBER 
-      return RTEMS.UNSIGNED32;
-  
-      pragma INLINE ( LOCAL_NODE_NUMBER );
-
-   end PER_NODE_CONFIGURATION;
-  
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                              END SUBPACKAGE                            --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
---
---  This is the Multiprocessor Configuration Table for this test.
---
-
-   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
-      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
-      2,                         -- maximum # nodes in system 
-      33,                        -- maximum # global objects
-      33                         -- maximum # proxies
-    );
-
---
---  This is the Configuration Table for this test.
---
-
-   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
-      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
-      64 * 1024,                 -- executive RAM size
-      10,                        -- maximum # tasks
-      0,                         -- maximum # timers
-      0,                         -- maximum # semaphores
-      0,                         -- maximum # message queues
-      0,                         -- maximum # messages
-      0,                         -- maximum # partitions
-      0,                         -- maximum # regions
-      0,                         -- maximum # dp memory areas
-      0,                         -- maximum # periods
-      0,                         -- maximum # user extensions
-      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
-      50                         -- # ticks in a timeslice
-  );
-
 end MPTEST;
Index: c/src/ada-tests/mptests/mp01/node1/Makefile.am
===================================================================
--- c/src/ada-tests/mptests/mp01/node1/Makefile.am	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp01/node1/Makefile.am	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -15,6 +15,4 @@
 endif
 
-node1_SOURCES = mptest-per_node_configuration.adb
-
 scndir = $(rtems_ada_testsdir)
 dist_scn_DATA = mp01-node1.scn
Index: c/src/ada-tests/mptests/mp02/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp02/mptest.adb	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp02/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -29,6 +29,4 @@
 package body MPTEST is
 
-   package body PER_NODE_CONFIGURATION is separate;
-
 --PAGE
 --
@@ -45,5 +43,5 @@
       TEXT_IO.PUT( "*** TEST 2 -- NODE " );
       UNSIGNED32_IO.PUT(
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          WIDTH => 1
       );
@@ -56,5 +54,5 @@
 
       RTEMS.TASK_CREATE( 
-         MPTEST.TASK_NAME( MPTEST.MULTIPROCESSING_CONFIGURATION.NODE ),
+         MPTEST.TASK_NAME( TEST_SUPPORT.NODE ),
          1, 
          2048, 
@@ -98,5 +96,5 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_IDENT OF SELF" );
    
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
          REMOTE_NODE := 2;
       else
Index: c/src/ada-tests/mptests/mp02/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp02/mptest.ads	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp02/mptest.ads	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -57,106 +57,3 @@
    );
 
---
---  This is the Driver Address Table for this test.
---
-
-   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
-   (1=>
-      (
-        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
-        RTEMS.NO_DRIVER_ENTRY,                       -- Open
-        RTEMS.NO_DRIVER_ENTRY,                       -- Close
-        RTEMS.NO_DRIVER_ENTRY,                       -- Read
-        RTEMS.NO_DRIVER_ENTRY,                       -- Write
-        RTEMS.NO_DRIVER_ENTRY                        -- Control
-      )
-   );
-
---
---  This is the Initialization Tasks Table for this test.
---
-
-   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
-   (1=>
-     (
-       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
-       2048,                                          -- stack size
-       1,                                             -- priority
-       RTEMS.DEFAULT_ATTRIBUTES,                      -- attributes
-       MPTEST.INIT'ACCESS,                            -- entry point
-       RTEMS.NO_PREEMPT,                              -- initial mode
-       0                                              -- argument list
-     )
-   );
-
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                             BEGIN SUBPACKAGE                           --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
-   --
-   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
-   --
-   --  DESCRIPTION:
-   --
-   --  This package is the specification for the subpackage
-   --  which will define the per node configuration parameters.
-   --
-   
-   package PER_NODE_CONFIGURATION is
-
-   --
-   --  LOCAL_NODE_NUMBER
-   --
-   --  DESCRIPTION:
-   --
-   --  This function returns the node number for this node.
-   --
-
-      function LOCAL_NODE_NUMBER 
-      return RTEMS.UNSIGNED32;
-  
-      pragma INLINE ( LOCAL_NODE_NUMBER );
-
-   end PER_NODE_CONFIGURATION;
-  
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                              END SUBPACKAGE                            --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
---
---  This is the Multiprocessor Configuration Table for this test.
---
-
-   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
-      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
-      2,                         -- maximum # nodes in system 
-      32,                        -- maximum # global objects
-      32                         -- maximum # proxies
-    );
-
---
---  This is the Configuration Table for this test.
---
-
-   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
-      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
-      64 * 1024,                 -- executive RAM size
-      10,                        -- maximum # tasks
-      0,                         -- maximum # timers
-      0,                         -- maximum # semaphores
-      0,                         -- maximum # message queues
-      0,                         -- maximum # messages
-      0,                         -- maximum # partitions
-      0,                         -- maximum # regions
-      0,                         -- maximum # dp memory areas
-      0,                         -- maximum # periods
-      0,                         -- maximum # user extensions
-      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
-      50                         -- # ticks in a timeslice
-  );
-
 end MPTEST;
Index: c/src/ada-tests/mptests/mp03/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp03/mptest.adb	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp03/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -1,6 +1,2 @@
---
---  MPTEST / BODY
---
---  DESCRIPTION:
 --
 --  This package is the implementation for Test 3 of the RTEMS
@@ -29,6 +25,4 @@
 package body MPTEST is
 
-   package body PER_NODE_CONFIGURATION is separate;
-
 --PAGE
 --
@@ -45,5 +39,5 @@
       TEXT_IO.PUT( "*** TEST 3 -- NODE " );
       UNSIGNED32_IO.PUT(
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          WIDTH => 1
       );
@@ -55,5 +49,5 @@
       TEXT_IO.PUT_LINE( "Creating Test_task (Global)" );
       RTEMS.TASK_CREATE( 
-         MPTEST.TASK_NAME( MPTEST.MULTIPROCESSING_CONFIGURATION.NODE ), 
+         MPTEST.TASK_NAME( TEST_SUPPORT.NODE ), 
          1, 
          2048, 
@@ -122,5 +116,5 @@
    
       TEXT_IO.PUT_LINE( "Getting TID of remote task" );
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
          MPTEST.REMOTE_NODE := 2;
       else
@@ -164,5 +158,5 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TIMER_FIRE_AFTER" );
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 2 then
+      if TEST_SUPPORT.NODE = 2 then
          
          RTEMS.TASK_WAKE_AFTER( 
@@ -195,5 +189,5 @@
    begin
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = NODE then
+      if TEST_SUPPORT.NODE = NODE then
 
          loop
Index: c/src/ada-tests/mptests/mp03/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp03/mptest.ads	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp03/mptest.ads	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -107,106 +107,3 @@
    );
 
---
---  This is the Driver Address Table for this test.
---
-
-   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
-   (1=>
-      (
-        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
-        RTEMS.NO_DRIVER_ENTRY,                       -- Open
-        RTEMS.NO_DRIVER_ENTRY,                       -- Close
-        RTEMS.NO_DRIVER_ENTRY,                       -- Read
-        RTEMS.NO_DRIVER_ENTRY,                       -- Write
-        RTEMS.NO_DRIVER_ENTRY                        -- Control
-      )
-   );
-
---
---  This is the Initialization Tasks Table for this test.
---
-
-   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
-   (1=>
-     (
-       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
-       2048,                                          -- stack size
-       1,                                             -- priority
-       RTEMS.DEFAULT_ATTRIBUTES,                      -- attributes
-       MPTEST.INIT'ACCESS,                            -- entry point
-       RTEMS.NO_PREEMPT,                              -- initial mode
-       0                                              -- argument list
-     )
-   );
-
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                             BEGIN SUBPACKAGE                           --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
-   --
-   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
-   --
-   --  DESCRIPTION:
-   --
-   --  This package is the specification for the subpackage
-   --  which will define the per node configuration parameters.
-   --
-   
-   package PER_NODE_CONFIGURATION is
-
-   --
-   --  LOCAL_NODE_NUMBER
-   --
-   --  DESCRIPTION:
-   --
-   --  This function returns the node number for this node.
-   --
-
-      function LOCAL_NODE_NUMBER 
-      return RTEMS.UNSIGNED32;
-  
-      pragma INLINE ( LOCAL_NODE_NUMBER );
-
-   end PER_NODE_CONFIGURATION;
-  
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                              END SUBPACKAGE                            --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
---
---  This is the Multiprocessor Configuration Table for this test.
---
-
-   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
-      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
-      2,                         -- maximum # nodes in system 
-      32,                        -- maximum # global objects
-      32                         -- maximum # proxies
-    );
-
---
---  This is the Configuration Table for this test.
---
-
-   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
-      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
-      64 * 1024,                 -- executive RAM size
-      10,                        -- maximum # tasks
-      1,                         -- maximum # timers
-      0,                         -- maximum # semaphores
-      0,                         -- maximum # message queues
-      0,                         -- maximum # messages
-      0,                         -- maximum # partitions
-      0,                         -- maximum # regions
-      0,                         -- maximum # dp memory areas
-      0,                         -- maximum # periods
-      0,                         -- maximum # user extensions
-      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
-      50                         -- # ticks in a timeslice
-  );
-
 end MPTEST;
Index: c/src/ada-tests/mptests/mp04/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp04/mptest.adb	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp04/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -29,6 +29,4 @@
 package body MPTEST is
 
-   package body PER_NODE_CONFIGURATION is separate;
-
 --PAGE
 --
@@ -45,5 +43,5 @@
       TEXT_IO.PUT( "*** TEST 4 -- NODE " );
       UNSIGNED32_IO.PUT(
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          WIDTH => 1
       );
@@ -56,6 +54,6 @@
 
       RTEMS.TASK_CREATE( 
-         MPTEST.TASK_NAME( MPTEST.MULTIPROCESSING_CONFIGURATION.NODE ), 
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE, 
+         MPTEST.TASK_NAME( TEST_SUPPORT.NODE ), 
+         TEST_SUPPORT.NODE, 
          2048, 
          RTEMS.DEFAULT_MODES,
@@ -101,5 +99,5 @@
    
       TEXT_IO.PUT_LINE( "Getting TID of remote task" );
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
          MPTEST.REMOTE_NODE := 2;
       else
@@ -125,5 +123,5 @@
       RTEMS.TASK_SET_PRIORITY(
          MPTEST.REMOTE_TID,
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          PREVIOUS_PRIORITY,
          STATUS
Index: c/src/ada-tests/mptests/mp04/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp04/mptest.ads	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp04/mptest.ads	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -71,106 +71,3 @@
    );
 
---
---  This is the Driver Address Table for this test.
---
-
-   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
-   (1=>
-      (
-        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
-        RTEMS.NO_DRIVER_ENTRY,                       -- Open
-        RTEMS.NO_DRIVER_ENTRY,                       -- Close
-        RTEMS.NO_DRIVER_ENTRY,                       -- Read
-        RTEMS.NO_DRIVER_ENTRY,                       -- Write
-        RTEMS.NO_DRIVER_ENTRY                        -- Control
-      )
-   );
-
---
---  This is the Initialization Tasks Table for this test.
---
-
-   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
-   (1=>
-     (
-       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
-       2048,                                          -- stack size
-       1,                                             -- priority
-       RTEMS.DEFAULT_ATTRIBUTES,                      -- attributes
-       MPTEST.INIT'ACCESS,                            -- entry point
-       RTEMS.NO_PREEMPT,                              -- initial mode
-       0                                              -- argument list
-     )
-   );
-
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                             BEGIN SUBPACKAGE                           --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
-   --
-   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
-   --
-   --  DESCRIPTION:
-   --
-   --  This package is the specification for the subpackage
-   --  which will define the per node configuration parameters.
-   --
-   
-   package PER_NODE_CONFIGURATION is
-
-   --
-   --  LOCAL_NODE_NUMBER
-   --
-   --  DESCRIPTION:
-   --
-   --  This function returns the node number for this node.
-   --
-
-      function LOCAL_NODE_NUMBER 
-      return RTEMS.UNSIGNED32;
-  
-      pragma INLINE ( LOCAL_NODE_NUMBER );
-
-   end PER_NODE_CONFIGURATION;
-  
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                              END SUBPACKAGE                            --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
---
---  This is the Multiprocessor Configuration Table for this test.
---
-
-   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
-      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
-      2,                         -- maximum # nodes in system 
-      32,                        -- maximum # global objects
-      32                         -- maximum # proxies
-    );
-
---
---  This is the Configuration Table for this test.
---
-
-   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
-      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
-      64 * 1024,                 -- executive RAM size
-      10,                        -- maximum # tasks
-      1,                         -- maximum # timers
-      0,                         -- maximum # semaphores
-      0,                         -- maximum # message queues
-      0,                         -- maximum # messages
-      0,                         -- maximum # partitions
-      0,                         -- maximum # regions
-      0,                         -- maximum # dp memory areas
-      0,                         -- maximum # periods
-      0,                         -- maximum # user extensions
-      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
-      50                         -- # ticks in a timeslice
-  );
-
 end MPTEST;
Index: c/src/ada-tests/mptests/mp05/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp05/mptest.adb	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp05/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -29,6 +29,4 @@
 package body MPTEST is
 
-   package body PER_NODE_CONFIGURATION is separate;
-
 --PAGE
 --
@@ -45,5 +43,5 @@
       TEXT_IO.PUT( "*** TEST 5 -- NODE " );
       UNSIGNED32_IO.PUT(
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          WIDTH => 1
       );
@@ -56,5 +54,5 @@
 
       RTEMS.TASK_CREATE( 
-         MPTEST.TASK_NAME( MPTEST.MULTIPROCESSING_CONFIGURATION.NODE ), 
+         MPTEST.TASK_NAME( TEST_SUPPORT.NODE ), 
          1,
          2048, 
@@ -80,5 +78,5 @@
 
       RTEMS.TIMER_CREATE(
-         MPTEST.TIMER_NAME( MPTEST.MULTIPROCESSING_CONFIGURATION.NODE ),
+         MPTEST.TIMER_NAME( TEST_SUPPORT.NODE ),
          MPTEST.TIMER_ID( 1 ),
          STATUS
@@ -159,5 +157,5 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "SIGNAL_CATCH" );
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
          MPTEST.REMOTE_NODE     := 2;
          MPTEST.REMOTE_SIGNAL   := RTEMS.SIGNAL_18;
@@ -195,5 +193,5 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TIMER_FIRE_AFTER" );
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
 
          TEXT_IO.PUT_LINE( "Sending signal to remote task" );
Index: c/src/ada-tests/mptests/mp05/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp05/mptest.ads	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp05/mptest.ads	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -44,5 +44,5 @@
 --  This variable is set when the test should stop executing.
 --
-   STOP_TEST : RTEMS.BOOLEAN;
+   STOP_TEST : BOOLEAN;
 
 --
@@ -78,5 +78,5 @@
 --
 
-   SIGNAL_CAUGHT : RTEMS.BOOLEAN;
+   SIGNAL_CAUGHT : BOOLEAN;
    SIGNAL_COUNT  : RTEMS.UNSIGNED32;
 
@@ -136,106 +136,3 @@
    );
 
---
---  This is the Driver Address Table for this test.
---
-
-   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
-   (1=>
-      (
-        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
-        RTEMS.NO_DRIVER_ENTRY,                       -- Open
-        RTEMS.NO_DRIVER_ENTRY,                       -- Close
-        RTEMS.NO_DRIVER_ENTRY,                       -- Read
-        RTEMS.NO_DRIVER_ENTRY,                       -- Write
-        RTEMS.NO_DRIVER_ENTRY                        -- Control
-      )
-   );
-
---
---  This is the Initialization Tasks Table for this test.
---
-
-   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
-   (1=>
-     (
-       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
-       2048,                                          -- stack size
-       1,                                             -- priority
-       RTEMS.DEFAULT_ATTRIBUTES,                      -- attributes
-       MPTEST.INIT'ACCESS,                            -- entry point
-       RTEMS.NO_PREEMPT,                              -- initial mode
-       0                                              -- argument list
-     )
-   );
-
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                             BEGIN SUBPACKAGE                           --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
-   --
-   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
-   --
-   --  DESCRIPTION:
-   --
-   --  This package is the specification for the subpackage
-   --  which will define the per node configuration parameters.
-   --
-   
-   package PER_NODE_CONFIGURATION is
-
-   --
-   --  LOCAL_NODE_NUMBER
-   --
-   --  DESCRIPTION:
-   --
-   --  This function returns the node number for this node.
-   --
-
-      function LOCAL_NODE_NUMBER 
-      return RTEMS.UNSIGNED32;
-  
-      pragma INLINE ( LOCAL_NODE_NUMBER );
-
-   end PER_NODE_CONFIGURATION;
-  
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                              END SUBPACKAGE                            --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
---
---  This is the Multiprocessor Configuration Table for this test.
---
-
-   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
-      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
-      2,                         -- maximum # nodes in system 
-      32,                        -- maximum # global objects
-      32                         -- maximum # proxies
-    );
-
---
---  This is the Configuration Table for this test.
---
-
-   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
-      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
-      64 * 1024,                 -- executive RAM size
-      10,                        -- maximum # tasks
-      1,                         -- maximum # timers
-      2,                         -- maximum # semaphores
-      0,                         -- maximum # message queues
-      0,                         -- maximum # messages
-      0,                         -- maximum # partitions
-      0,                         -- maximum # regions
-      0,                         -- maximum # dp memory areas
-      0,                         -- maximum # periods
-      0,                         -- maximum # user extensions
-      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
-      50                         -- # ticks in a timeslice
-  );
-
 end MPTEST;
Index: c/src/ada-tests/mptests/mp06/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp06/mptest.adb	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp06/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -29,6 +29,4 @@
 package body MPTEST is
 
-   package body PER_NODE_CONFIGURATION is separate;
-
 --PAGE
 --
@@ -45,5 +43,5 @@
       TEXT_IO.PUT( "*** TEST 6 -- NODE " );
       UNSIGNED32_IO.PUT(
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          WIDTH => 1
       );
@@ -56,6 +54,6 @@
 
       RTEMS.TASK_CREATE( 
-         MPTEST.TASK_NAME( MPTEST.MULTIPROCESSING_CONFIGURATION.NODE ), 
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE, 
+         MPTEST.TASK_NAME( TEST_SUPPORT.NODE ), 
+         TEST_SUPPORT.NODE, 
          2048, 
          RTEMS.DEFAULT_MODES,
@@ -80,5 +78,5 @@
 
       RTEMS.TIMER_CREATE(
-         MPTEST.TIMER_NAME( MPTEST.MULTIPROCESSING_CONFIGURATION.NODE ),
+         MPTEST.TIMER_NAME( TEST_SUPPORT.NODE ),
          MPTEST.TIMER_ID( 1 ),
          STATUS
@@ -124,5 +122,5 @@
       MPTEST.STOP_TEST := FALSE;
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
          MPTEST.REMOTE_NODE     := 2;
       else
@@ -148,5 +146,5 @@
       end loop;
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
          TEXT_IO.PUT_LINE( "Sending events to remote task" );
       else
@@ -174,5 +172,5 @@
             );
 
-         if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+         if TEST_SUPPORT.NODE = 1 then
 
             RTEMS.EVENT_SEND( 
@@ -196,5 +194,5 @@
                TEXT_IO.NEW_LINE( 1 );
 
-               if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 2 then
+               if TEST_SUPPORT.NODE = 2 then
                   TEXT_IO.PUT_LINE(
                      "Correct behavior if the other node exitted."
@@ -228,5 +226,5 @@
       TEXT_IO.NEW_LINE;
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 2 then
+      if TEST_SUPPORT.NODE = 2 then
 
          RTEMS.EVENT_RECEIVE( 
Index: c/src/ada-tests/mptests/mp06/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp06/mptest.ads	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp06/mptest.ads	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -44,5 +44,5 @@
 --  This variable is set when the test should stop executing.
 --
-   STOP_TEST : RTEMS.BOOLEAN;
+   STOP_TEST : BOOLEAN;
 
 --
@@ -143,106 +143,3 @@
    );
 
---
---  This is the Driver Address Table for this test.
---
-
-   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
-   (1=>
-      (
-        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
-        RTEMS.NO_DRIVER_ENTRY,                       -- Open
-        RTEMS.NO_DRIVER_ENTRY,                       -- Close
-        RTEMS.NO_DRIVER_ENTRY,                       -- Read
-        RTEMS.NO_DRIVER_ENTRY,                       -- Write
-        RTEMS.NO_DRIVER_ENTRY                        -- Control
-      )
-   );
-
---
---  This is the Initialization Tasks Table for this test.
---
-
-   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
-   (1=>
-     (
-       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
-       2048,                                          -- stack size
-       1,                                             -- priority
-       RTEMS.DEFAULT_ATTRIBUTES,                      -- attributes
-       MPTEST.INIT'ACCESS,                            -- entry point
-       RTEMS.NO_PREEMPT,                              -- initial mode
-       0                                              -- argument list
-     )
-   );
-
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                             BEGIN SUBPACKAGE                           --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
-   --
-   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
-   --
-   --  DESCRIPTION:
-   --
-   --  This package is the specification for the subpackage
-   --  which will define the per node configuration parameters.
-   --
-   
-   package PER_NODE_CONFIGURATION is
-
-   --
-   --  LOCAL_NODE_NUMBER
-   --
-   --  DESCRIPTION:
-   --
-   --  This function returns the node number for this node.
-   --
-
-      function LOCAL_NODE_NUMBER 
-      return RTEMS.UNSIGNED32;
-  
-      pragma INLINE ( LOCAL_NODE_NUMBER );
-
-   end PER_NODE_CONFIGURATION;
-  
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                              END SUBPACKAGE                            --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
---
---  This is the Multiprocessor Configuration Table for this test.
---
-
-   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
-      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
-      2,                         -- maximum # nodes in system 
-      32,                        -- maximum # global objects
-      32                         -- maximum # proxies
-    );
-
---
---  This is the Configuration Table for this test.
---
-
-   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
-      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
-      64 * 1024,                 -- executive RAM size
-      10,                        -- maximum # tasks
-      1,                         -- maximum # timers
-      2,                         -- maximum # semaphores
-      0,                         -- maximum # message queues
-      0,                         -- maximum # messages
-      0,                         -- maximum # partitions
-      0,                         -- maximum # regions
-      0,                         -- maximum # dp memory areas
-      0,                         -- maximum # periods
-      0,                         -- maximum # user extensions
-      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
-      50                         -- # ticks in a timeslice
-  );
-
 end MPTEST;
Index: c/src/ada-tests/mptests/mp07/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp07/mptest.adb	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp07/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -29,6 +29,4 @@
 package body MPTEST is
 
-   package body PER_NODE_CONFIGURATION is separate;
-
 --PAGE
 --
@@ -45,5 +43,5 @@
       TEXT_IO.PUT( "*** TEST 7 -- NODE " );
       UNSIGNED32_IO.PUT(
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          WIDTH => 1
       );
@@ -55,6 +53,6 @@
       TEXT_IO.PUT_LINE( "Creating Test_task (Global)" );
       RTEMS.TASK_CREATE( 
-         MPTEST.TASK_NAME( MPTEST.MULTIPROCESSING_CONFIGURATION.NODE ), 
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE, 
+         MPTEST.TASK_NAME( TEST_SUPPORT.NODE ), 
+         TEST_SUPPORT.NODE, 
          2048, 
          RTEMS.TIMESLICE,
@@ -112,5 +110,4 @@
       ARGUMENT : in     RTEMS.TASK_ARGUMENT
    ) is
-      COUNT     : RTEMS.UNSIGNED32;
       EVENT_OUT : RTEMS.EVENT_SET;
       STATUS    : RTEMS.STATUS_CODES;
@@ -119,5 +116,5 @@
       MPTEST.STOP_TEST := FALSE;
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
          MPTEST.REMOTE_NODE := 2;
       else
@@ -141,5 +138,5 @@
       end loop;
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
 
          TEXT_IO.PUT_LINE( "Sending first event to remote task" );
Index: c/src/ada-tests/mptests/mp07/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp07/mptest.ads	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp07/mptest.ads	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -44,5 +44,5 @@
 --  This variable is set when the test should stop executing.
 --
-   STOP_TEST : RTEMS.BOOLEAN;
+   STOP_TEST : BOOLEAN;
 
 --
@@ -103,106 +103,3 @@
    );
 
---
---  This is the Driver Address Table for this test.
---
-
-   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
-   (1=>
-      (
-        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
-        RTEMS.NO_DRIVER_ENTRY,                       -- Open
-        RTEMS.NO_DRIVER_ENTRY,                       -- Close
-        RTEMS.NO_DRIVER_ENTRY,                       -- Read
-        RTEMS.NO_DRIVER_ENTRY,                       -- Write
-        RTEMS.NO_DRIVER_ENTRY                        -- Control
-      )
-   );
-
---
---  This is the Initialization Tasks Table for this test.
---
-
-   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
-   (1=>
-     (
-       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
-       2048,                                          -- stack size
-       1,                                             -- priority
-       RTEMS.DEFAULT_ATTRIBUTES,                      -- attributes
-       MPTEST.INIT'ACCESS,                            -- entry point
-       RTEMS.NO_PREEMPT,                              -- initial mode
-       0                                              -- argument list
-     )
-   );
-
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                             BEGIN SUBPACKAGE                           --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
-   --
-   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
-   --
-   --  DESCRIPTION:
-   --
-   --  This package is the specification for the subpackage
-   --  which will define the per node configuration parameters.
-   --
-   
-   package PER_NODE_CONFIGURATION is
-
-   --
-   --  LOCAL_NODE_NUMBER
-   --
-   --  DESCRIPTION:
-   --
-   --  This function returns the node number for this node.
-   --
-
-      function LOCAL_NODE_NUMBER 
-      return RTEMS.UNSIGNED32;
-  
-      pragma INLINE ( LOCAL_NODE_NUMBER );
-
-   end PER_NODE_CONFIGURATION;
-  
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                              END SUBPACKAGE                            --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
---
---  This is the Multiprocessor Configuration Table for this test.
---
-
-   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
-      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
-      2,                         -- maximum # nodes in system 
-      32,                        -- maximum # global objects
-      32                         -- maximum # proxies
-    );
-
---
---  This is the Configuration Table for this test.
---
-
-   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
-      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
-      64 * 1024,                 -- executive RAM size
-      10,                        -- maximum # tasks
-      1,                         -- maximum # timers
-      2,                         -- maximum # semaphores
-      0,                         -- maximum # message queues
-      0,                         -- maximum # messages
-      0,                         -- maximum # partitions
-      0,                         -- maximum # regions
-      0,                         -- maximum # dp memory areas
-      0,                         -- maximum # periods
-      0,                         -- maximum # user extensions
-      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
-      50                         -- # ticks in a timeslice
-  );
-
 end MPTEST;
Index: c/src/ada-tests/mptests/mp08/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp08/mptest.adb	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp08/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -29,6 +29,4 @@
 package body MPTEST is
 
-   package body PER_NODE_CONFIGURATION is separate;
-
 --PAGE
 --
@@ -45,5 +43,5 @@
       TEXT_IO.PUT( "*** TEST 8 -- NODE " );
       UNSIGNED32_IO.PUT(
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          WIDTH => 1
       );
@@ -55,5 +53,5 @@
       MPTEST.SEMAPHORE_NAME( 1 ) := RTEMS.BUILD_NAME(  'S', 'E', 'M', ' ' );
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
 
          TEXT_IO.PUT_LINE( "Creating Semaphore(Global)" );
@@ -72,6 +70,6 @@
       TEXT_IO.PUT_LINE( "Creating Test_task (Global)" );
       RTEMS.TASK_CREATE( 
-         MPTEST.TASK_NAME( MPTEST.MULTIPROCESSING_CONFIGURATION.NODE ), 
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE, 
+         MPTEST.TASK_NAME( TEST_SUPPORT.NODE ), 
+         TEST_SUPPORT.NODE, 
          2048, 
          RTEMS.TIMESLICE,
@@ -124,5 +122,5 @@
       end loop;
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 2 then
+      if TEST_SUPPORT.NODE = 2 then
 
          RTEMS.SEMAPHORE_DELETE(
@@ -175,5 +173,5 @@
          COUNT := COUNT + 1;
 
-         if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 and then
+         if TEST_SUPPORT.NODE = 1 and then
             COUNT >= 1000 then
 
Index: c/src/ada-tests/mptests/mp08/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp08/mptest.ads	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp08/mptest.ads	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -85,106 +85,3 @@
    );
 
---
---  This is the Driver Address Table for this test.
---
-
-   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
-   (1=>
-      (
-        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
-        RTEMS.NO_DRIVER_ENTRY,                       -- Open
-        RTEMS.NO_DRIVER_ENTRY,                       -- Close
-        RTEMS.NO_DRIVER_ENTRY,                       -- Read
-        RTEMS.NO_DRIVER_ENTRY,                       -- Write
-        RTEMS.NO_DRIVER_ENTRY                        -- Control
-      )
-   );
-
---
---  This is the Initialization Tasks Table for this test.
---
-
-   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
-   (1=>
-     (
-       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
-       2048,                                          -- stack size
-       1,                                             -- priority
-       RTEMS.DEFAULT_ATTRIBUTES,                      -- attributes
-       MPTEST.INIT'ACCESS,                            -- entry point
-       RTEMS.NO_PREEMPT,                              -- initial mode
-       0                                              -- argument list
-     )
-   );
-
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                             BEGIN SUBPACKAGE                           --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
-   --
-   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
-   --
-   --  DESCRIPTION:
-   --
-   --  This package is the specification for the subpackage
-   --  which will define the per node configuration parameters.
-   --
-   
-   package PER_NODE_CONFIGURATION is
-
-   --
-   --  LOCAL_NODE_NUMBER
-   --
-   --  DESCRIPTION:
-   --
-   --  This function returns the node number for this node.
-   --
-
-      function LOCAL_NODE_NUMBER 
-      return RTEMS.UNSIGNED32;
-  
-      pragma INLINE ( LOCAL_NODE_NUMBER );
-
-   end PER_NODE_CONFIGURATION;
-  
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                              END SUBPACKAGE                            --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
---
---  This is the Multiprocessor Configuration Table for this test.
---
-
-   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
-      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
-      2,                         -- maximum # nodes in system 
-      32,                        -- maximum # global objects
-      32                         -- maximum # proxies
-    );
-
---
---  This is the Configuration Table for this test.
---
-
-   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
-      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
-      64 * 1024,                 -- executive RAM size
-      10,                        -- maximum # tasks
-      1,                         -- maximum # timers
-      1,                         -- maximum # semaphores
-      0,                         -- maximum # message queues
-      0,                         -- maximum # messages
-      0,                         -- maximum # partitions
-      0,                         -- maximum # regions
-      0,                         -- maximum # dp memory areas
-      0,                         -- maximum # periods
-      0,                         -- maximum # user extensions
-      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
-      50                         -- # ticks in a timeslice
-  );
-
 end MPTEST;
Index: c/src/ada-tests/mptests/mp09/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp09/mptest.adb	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp09/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -29,6 +29,4 @@
 package body MPTEST is
 
-   package body PER_NODE_CONFIGURATION is separate;
-
 --PAGE
 --
@@ -45,5 +43,5 @@
       TEXT_IO.PUT( "*** TEST 9 -- NODE " );
       UNSIGNED32_IO.PUT(
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          WIDTH => 1
       );
@@ -75,5 +73,5 @@
       MPTEST.QUEUE_NAME( 1 ) := RTEMS.BUILD_NAME(  'M', 'S', 'G', ' ' );
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
 
          TEXT_IO.PUT_LINE( "Creating Message Queue (Global)" );
@@ -91,6 +89,6 @@
       TEXT_IO.PUT_LINE( "Creating Test_task (local)" );
       RTEMS.TASK_CREATE(
-         MPTEST.TASK_NAME( MPTEST.MULTIPROCESSING_CONFIGURATION.NODE ),
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         MPTEST.TASK_NAME( TEST_SUPPORT.NODE ),
+         TEST_SUPPORT.NODE,
          2048,
          RTEMS.TIMESLICE,
@@ -297,5 +295,5 @@
       end loop;
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 2 then
+      if TEST_SUPPORT.NODE = 2 then
 
          RTEMS.MESSAGE_QUEUE_DELETE( MPTEST.QUEUE_ID( 1 ), STATUS );
Index: c/src/ada-tests/mptests/mp09/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp09/mptest.ads	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp09/mptest.ads	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -147,106 +147,3 @@
    );
 
---
---  This is the Driver Address Table for this test.
---
-
-   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
-   (1=>
-      (
-        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
-        RTEMS.NO_DRIVER_ENTRY,                       -- Open
-        RTEMS.NO_DRIVER_ENTRY,                       -- Close
-        RTEMS.NO_DRIVER_ENTRY,                       -- Read
-        RTEMS.NO_DRIVER_ENTRY,                       -- Write
-        RTEMS.NO_DRIVER_ENTRY                        -- Control
-      )
-   );
-
---
---  This is the Initialization Tasks Table for this test.
---
-
-   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
-   (1=>
-     (
-       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
-       2048,                                          -- stack size
-       1,                                             -- priority
-       RTEMS.DEFAULT_ATTRIBUTES,                      -- attributes
-       MPTEST.INIT'ACCESS,                            -- entry point
-       RTEMS.NO_PREEMPT,                              -- initial mode
-       0                                              -- argument list
-     )
-   );
-
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                             BEGIN SUBPACKAGE                           --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
-   --
-   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
-   --
-   --  DESCRIPTION:
-   --
-   --  This package is the specification for the subpackage
-   --  which will define the per node configuration parameters.
-   --
-   
-   package PER_NODE_CONFIGURATION is
-
-   --
-   --  LOCAL_NODE_NUMBER
-   --
-   --  DESCRIPTION:
-   --
-   --  This function returns the node number for this node.
-   --
-
-      function LOCAL_NODE_NUMBER 
-      return RTEMS.UNSIGNED32;
-  
-      pragma INLINE ( LOCAL_NODE_NUMBER );
-
-   end PER_NODE_CONFIGURATION;
-  
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                              END SUBPACKAGE                            --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
---
---  This is the Multiprocessor Configuration Table for this test.
---
-
-   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
-      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
-      2,                         -- maximum # nodes in system 
-      32,                        -- maximum # global objects
-      32                         -- maximum # proxies
-    );
-
---
---  This is the Configuration Table for this test.
---
-
-   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
-      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
-      64 * 1024,                 -- executive RAM size
-      10,                        -- maximum # tasks
-      0,                         -- maximum # timers
-      0,                         -- maximum # semaphores
-      1,                         -- maximum # message queues
-      1,                         -- maximum # messages
-      0,                         -- maximum # partitions
-      0,                         -- maximum # regions
-      0,                         -- maximum # dp memory areas
-      0,                         -- maximum # periods
-      0,                         -- maximum # user extensions
-      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
-      50                         -- # ticks in a timeslice
-  );
-
 end MPTEST;
Index: c/src/ada-tests/mptests/mp10/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp10/mptest.adb	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp10/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -29,6 +29,4 @@
 package body MPTEST is
 
-   package body PER_NODE_CONFIGURATION is separate;
-
 --PAGE
 --
@@ -45,5 +43,5 @@
       TEXT_IO.PUT( "*** TEST 10 -- NODE " );
       UNSIGNED32_IO.PUT(
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          WIDTH => 1
       );
@@ -59,5 +57,5 @@
       MPTEST.SEMAPHORE_NAME( 1 ) := RTEMS.BUILD_NAME(  'S', 'E', 'M', ' ' );
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
 
          TEXT_IO.PUT_LINE( "Creating Message Queue (Global)" );
Index: c/src/ada-tests/mptests/mp10/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp10/mptest.ads	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp10/mptest.ads	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -117,106 +117,3 @@
    );
 
---
---  This is the Driver Address Table for this test.
---
-
-   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
-   (1=>
-      (
-        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
-        RTEMS.NO_DRIVER_ENTRY,                       -- Open
-        RTEMS.NO_DRIVER_ENTRY,                       -- Close
-        RTEMS.NO_DRIVER_ENTRY,                       -- Read
-        RTEMS.NO_DRIVER_ENTRY,                       -- Write
-        RTEMS.NO_DRIVER_ENTRY                        -- Control
-      )
-   );
-
---
---  This is the Initialization Tasks Table for this test.
---
-
-   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
-   (1=>
-     (
-       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
-       2048,                                          -- stack size
-       1,                                             -- priority
-       RTEMS.DEFAULT_ATTRIBUTES,                      -- attributes
-       MPTEST.INIT'ACCESS,                            -- entry point
-       RTEMS.NO_PREEMPT,                              -- initial mode
-       0                                              -- argument list
-     )
-   );
-
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                             BEGIN SUBPACKAGE                           --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
-   --
-   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
-   --
-   --  DESCRIPTION:
-   --
-   --  This package is the specification for the subpackage
-   --  which will define the per node configuration parameters.
-   --
-   
-   package PER_NODE_CONFIGURATION is
-
-   --
-   --  LOCAL_NODE_NUMBER
-   --
-   --  DESCRIPTION:
-   --
-   --  This function returns the node number for this node.
-   --
-
-      function LOCAL_NODE_NUMBER 
-      return RTEMS.UNSIGNED32;
-  
-      pragma INLINE ( LOCAL_NODE_NUMBER );
-
-   end PER_NODE_CONFIGURATION;
-  
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                              END SUBPACKAGE                            --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
---
---  This is the Multiprocessor Configuration Table for this test.
---
-
-   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
-      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
-      2,                         -- maximum # nodes in system 
-      32,                        -- maximum # global objects
-      32                         -- maximum # proxies
-    );
-
---
---  This is the Configuration Table for this test.
---
-
-   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
-      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
-      64 * 1024,                 -- executive RAM size
-      10,                        -- maximum # tasks
-      0,                         -- maximum # timers
-      1,                         -- maximum # semaphores
-      1,                         -- maximum # message queues
-      0,                         -- maximum # messages
-      0,                         -- maximum # partitions
-      0,                         -- maximum # regions
-      0,                         -- maximum # dp memory areas
-      0,                         -- maximum # periods
-      0,                         -- maximum # user extensions
-      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
-      50                         -- # ticks in a timeslice
-  );
-
 end MPTEST;
Index: c/src/ada-tests/mptests/mp11/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp11/mptest.adb	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp11/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -29,6 +29,4 @@
 package body MPTEST is
 
-   package body PER_NODE_CONFIGURATION is separate;
-
 --PAGE
 --
@@ -45,5 +43,5 @@
       TEXT_IO.PUT( "*** TEST 11 -- NODE " );
       UNSIGNED32_IO.PUT(
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          WIDTH => 1
       );
@@ -59,5 +57,5 @@
       MPTEST.PARTITION_NAME( 1 ) := RTEMS.BUILD_NAME(  'P', 'A', 'R', ' ' );
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
 
          TEXT_IO.PUT_LINE( "Attempting to create Test_task (Global)" );
Index: c/src/ada-tests/mptests/mp11/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp11/mptest.ads	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp11/mptest.ads	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -77,106 +77,3 @@
    );
 
---
---  This is the Driver Address Table for this test.
---
-
-   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
-   (1=>
-      (
-        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
-        RTEMS.NO_DRIVER_ENTRY,                       -- Open
-        RTEMS.NO_DRIVER_ENTRY,                       -- Close
-        RTEMS.NO_DRIVER_ENTRY,                       -- Read
-        RTEMS.NO_DRIVER_ENTRY,                       -- Write
-        RTEMS.NO_DRIVER_ENTRY                        -- Control
-      )
-   );
-
---
---  This is the Initialization Tasks Table for this test.
---
-
-   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
-   (1=>
-     (
-       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
-       2048,                                          -- stack size
-       1,                                             -- priority
-       RTEMS.DEFAULT_ATTRIBUTES,                      -- attributes
-       MPTEST.INIT'ACCESS,                            -- entry point
-       RTEMS.NO_PREEMPT,                              -- initial mode
-       0                                              -- argument list
-     )
-   );
-
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                             BEGIN SUBPACKAGE                           --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
-   --
-   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
-   --
-   --  DESCRIPTION:
-   --
-   --  This package is the specification for the subpackage
-   --  which will define the per node configuration parameters.
-   --
-   
-   package PER_NODE_CONFIGURATION is
-
-   --
-   --  LOCAL_NODE_NUMBER
-   --
-   --  DESCRIPTION:
-   --
-   --  This function returns the node number for this node.
-   --
-
-      function LOCAL_NODE_NUMBER 
-      return RTEMS.UNSIGNED32;
-  
-      pragma INLINE ( LOCAL_NODE_NUMBER );
-
-   end PER_NODE_CONFIGURATION;
-  
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                              END SUBPACKAGE                            --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
---
---  This is the Multiprocessor Configuration Table for this test.
---
-
-   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
-      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
-      2,                         -- maximum # nodes in system 
-      0,                         -- maximum # global objects
-      0                          -- maximum # proxies
-    );
-
---
---  This is the Configuration Table for this test.
---
-
-   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
-      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
-      64 * 1024,                 -- executive RAM size
-      10,                        -- maximum # tasks
-      0,                         -- maximum # timers
-      1,                         -- maximum # semaphores
-      1,                         -- maximum # message queues
-      0,                         -- maximum # messages
-      1,                         -- maximum # partitions
-      0,                         -- maximum # regions
-      0,                         -- maximum # dp memory areas
-      0,                         -- maximum # periods
-      0,                         -- maximum # user extensions
-      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
-      50                         -- # ticks in a timeslice
-  );
-
 end MPTEST;
Index: c/src/ada-tests/mptests/mp12/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp12/mptest.adb	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp12/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -29,6 +29,4 @@
 package body MPTEST is
 
-   package body PER_NODE_CONFIGURATION is separate;
-
 --PAGE
 --
@@ -46,5 +44,5 @@
       TEXT_IO.PUT( "*** TEST 12 -- NODE " );
       UNSIGNED32_IO.PUT(
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          WIDTH => 1
       );
@@ -58,5 +56,5 @@
       TEXT_IO.PUT_LINE( "Got to the initialization task" );
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 2 then
+      if TEST_SUPPORT.NODE = 2 then
 
          RTEMS.TASK_WAKE_AFTER( 1 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
Index: c/src/ada-tests/mptests/mp12/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp12/mptest.ads	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp12/mptest.ads	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -75,106 +75,3 @@
    for PARTITION_AREA'ALIGNMENT use RTEMS.STRUCTURE_ALIGNMENT;
 
---
---  This is the Driver Address Table for this test.
---
-
-   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
-   (1=>
-      (
-        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
-        RTEMS.NO_DRIVER_ENTRY,                       -- Open
-        RTEMS.NO_DRIVER_ENTRY,                       -- Close
-        RTEMS.NO_DRIVER_ENTRY,                       -- Read
-        RTEMS.NO_DRIVER_ENTRY,                       -- Write
-        RTEMS.NO_DRIVER_ENTRY                        -- Control
-      )
-   );
-
---
---  This is the Initialization Tasks Table for this test.
---
-
-   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
-   (1=>
-     (
-       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
-       2048,                                          -- stack size
-       1,                                             -- priority
-       RTEMS.DEFAULT_ATTRIBUTES,                      -- attributes
-       MPTEST.INIT'ACCESS,                            -- entry point
-       RTEMS.NO_PREEMPT,                              -- initial mode
-       0                                              -- argument list
-     )
-   );
-
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                             BEGIN SUBPACKAGE                           --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
-   --
-   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
-   --
-   --  DESCRIPTION:
-   --
-   --  This package is the specification for the subpackage
-   --  which will define the per node configuration parameters.
-   --
-   
-   package PER_NODE_CONFIGURATION is
-
-   --
-   --  LOCAL_NODE_NUMBER
-   --
-   --  DESCRIPTION:
-   --
-   --  This function returns the node number for this node.
-   --
-
-      function LOCAL_NODE_NUMBER 
-      return RTEMS.UNSIGNED32;
-  
-      pragma INLINE ( LOCAL_NODE_NUMBER );
-
-   end PER_NODE_CONFIGURATION;
-  
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                              END SUBPACKAGE                            --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
---
---  This is the Multiprocessor Configuration Table for this test.
---
-
-   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
-      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
-      2,                         -- maximum # nodes in system 
-      32,                        -- maximum # global objects
-      32                         -- maximum # proxies
-    );
-
---
---  This is the Configuration Table for this test.
---
-
-   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
-      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
-      64 * 1024,                 -- executive RAM size
-      10,                        -- maximum # tasks
-      0,                         -- maximum # timers
-      0,                         -- maximum # semaphores
-      0,                         -- maximum # message queues
-      0,                         -- maximum # messages
-      1,                         -- maximum # partitions
-      0,                         -- maximum # regions
-      0,                         -- maximum # dp memory areas
-      0,                         -- maximum # periods
-      0,                         -- maximum # user extensions
-      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
-      50                         -- # ticks in a timeslice
-  );
-
 end MPTEST;
Index: c/src/ada-tests/mptests/mp13/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp13/mptest.adb	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp13/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -29,6 +29,4 @@
 package body MPTEST is
 
-   package body PER_NODE_CONFIGURATION is separate;
-
 --PAGE
 --
@@ -45,5 +43,5 @@
       TEXT_IO.PUT( "*** TEST 13 -- NODE " );
       UNSIGNED32_IO.PUT(
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          WIDTH => 1
       );
@@ -57,5 +55,5 @@
       MPTEST.SEMAPHORE_NAME( 1 ) := RTEMS.BUILD_NAME(  'S', 'E', 'M', ' ' );
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
 
          TEXT_IO.PUT_LINE( "Creating Message Queue (Global)" );
@@ -131,5 +129,5 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START" );
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
 
          RTEMS.TASK_WAKE_AFTER( 5 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
@@ -180,5 +178,5 @@
       end loop;
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
 
          TEXT_IO.PUT_LINE( "Receiving message ..." );
@@ -253,5 +251,5 @@
       end loop;
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
 
          RTEMS.TASK_WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
Index: c/src/ada-tests/mptests/mp13/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp13/mptest.ads	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp13/mptest.ads	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -99,106 +99,3 @@
    );
 
---
---  This is the Driver Address Table for this test.
---
-
-   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
-   (1=>
-      (
-        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
-        RTEMS.NO_DRIVER_ENTRY,                       -- Open
-        RTEMS.NO_DRIVER_ENTRY,                       -- Close
-        RTEMS.NO_DRIVER_ENTRY,                       -- Read
-        RTEMS.NO_DRIVER_ENTRY,                       -- Write
-        RTEMS.NO_DRIVER_ENTRY                        -- Control
-      )
-   );
-
---
---  This is the Initialization Tasks Table for this test.
---
-
-   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
-   (1=>
-     (
-       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
-       2048,                                          -- stack size
-       1,                                             -- priority
-       RTEMS.DEFAULT_ATTRIBUTES,                      -- attributes
-       MPTEST.INIT'ACCESS,                            -- entry point
-       RTEMS.NO_PREEMPT,                              -- initial mode
-       0                                              -- argument list
-     )
-   );
-
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                             BEGIN SUBPACKAGE                           --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
-   --
-   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
-   --
-   --  DESCRIPTION:
-   --
-   --  This package is the specification for the subpackage
-   --  which will define the per node configuration parameters.
-   --
-   
-   package PER_NODE_CONFIGURATION is
-
-   --
-   --  LOCAL_NODE_NUMBER
-   --
-   --  DESCRIPTION:
-   --
-   --  This function returns the node number for this node.
-   --
-
-      function LOCAL_NODE_NUMBER 
-      return RTEMS.UNSIGNED32;
-  
-      pragma INLINE ( LOCAL_NODE_NUMBER );
-
-   end PER_NODE_CONFIGURATION;
-  
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                              END SUBPACKAGE                            --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
---
---  This is the Multiprocessor Configuration Table for this test.
---
-
-   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
-      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
-      2,                         -- maximum # nodes in system 
-      32,                        -- maximum # global objects
-      32                         -- maximum # proxies
-    );
-
---
---  This is the Configuration Table for this test.
---
-
-   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
-      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
-      64 * 1024,                 -- executive RAM size
-      10,                        -- maximum # tasks
-      0,                         -- maximum # timers
-      1,                         -- maximum # semaphores
-      1,                         -- maximum # message queues
-      0,                         -- maximum # messages
-      0,                         -- maximum # partitions
-      0,                         -- maximum # regions
-      0,                         -- maximum # dp memory areas
-      0,                         -- maximum # periods
-      0,                         -- maximum # user extensions
-      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
-      50                         -- # ticks in a timeslice
-  );
-
 end MPTEST;
Index: c/src/ada-tests/mptests/mp14/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp14/mptest.adb	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp14/mptest.adb	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -23,5 +23,4 @@
 with INTERFACES; use INTERFACES;
 with INTERFACES.C;
-with BSP;
 with RTEMS;
 with TEST_SUPPORT;
@@ -29,7 +28,7 @@
 with UNSIGNED32_IO;
 
+with System.Storage_Elements; use System.Storage_Elements;
+
 package body MPTEST is
-
-   package body PER_NODE_CONFIGURATION is separate;
 
 --PAGE
@@ -85,5 +84,5 @@
       TEXT_IO.PUT( "*** TEST 14 -- NODE " );
       UNSIGNED32_IO.PUT(
-         MPTEST.MULTIPROCESSING_CONFIGURATION.NODE,
+         TEST_SUPPORT.NODE,
          WIDTH => 1
       );
@@ -103,5 +102,5 @@
       RTEMS.TIMER_FIRE_AFTER(
          MPTEST.STOP_TIMER_ID,
-         BSP.MAXIMUM_LONG_TEST_DURATION * TEST_SUPPORT.TICKS_PER_SECOND,
+         TEST_SUPPORT.MAXIMUM_LONG_TEST_DURATION * TEST_SUPPORT.TICKS_PER_SECOND,
          MPTEST.STOP_TEST_TSR'ACCESS,
          RTEMS.NULL_ADDRESS,
@@ -138,9 +137,9 @@
 
          MPTEST.BUFFERS( INDEX ) :=
-            RTEMS.TO_BUFFER_POINTER( MPTEST.BUFFER_AREAS( INDEX )'ADDRESS );
-
-      end loop;
-
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+            MPTEST.BUFFER_AREAS( INDEX )'ADDRESS;
+
+      end loop;
+
+      if TEST_SUPPORT.NODE = 1 then
 
          TEXT_IO.PUT_LINE( "Creating Semaphore (Global)" );
@@ -181,5 +180,5 @@
       RTEMS.TASK_CREATE(
          MPTEST.EVENT_TASK_NAME(
-            MPTEST.MULTIPROCESSING_CONFIGURATION.NODE
+            TEST_SUPPORT.NODE
          ),
          2,
@@ -204,5 +203,5 @@
       RTEMS.TASK_CREATE(
          MPTEST.SEMAPHORE_TASK_NAME(
-            MPTEST.MULTIPROCESSING_CONFIGURATION.NODE
+            TEST_SUPPORT.NODE
          ),
          2,
@@ -227,5 +226,5 @@
       RTEMS.TASK_CREATE(
          MPTEST.QUEUE_TASK_NAME(
-            MPTEST.MULTIPROCESSING_CONFIGURATION.NODE
+            TEST_SUPPORT.NODE
          ),
          2,
@@ -250,5 +249,5 @@
       RTEMS.TASK_CREATE(
          MPTEST.PARTITION_TASK_NAME(
-            MPTEST.MULTIPROCESSING_CONFIGURATION.NODE 
+            TEST_SUPPORT.NODE 
          ),
          2,
@@ -320,5 +319,5 @@
    begin
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
          REMOTE_NODE := 2;
       else
@@ -351,5 +350,5 @@
       end loop;
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
          TEXT_IO.PUT_LINE( "Sending events to remote task" );
 
@@ -515,5 +514,5 @@
       end loop;
 
-      if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+      if TEST_SUPPORT.NODE = 1 then
 
          RTEMS.MESSAGE_QUEUE_SEND(
@@ -582,5 +581,5 @@
 
             if MPTEST.STOP_TEST = FALSE then
-               if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+               if TEST_SUPPORT.NODE = 1 then
 
                   YIELD_COUNT := YIELD_COUNT - 1;
@@ -667,5 +666,5 @@
             );
 
-            if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+            if TEST_SUPPORT.NODE = 1 then
 
                RTEMS.TASK_WAKE_AFTER( RTEMS.YIELD_PROCESSOR, STATUS );
@@ -738,5 +737,5 @@
             TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "SEMAPHORE_RELEASE" );
 
-            if MPTEST.MULTIPROCESSING_CONFIGURATION.NODE = 1 then
+            if TEST_SUPPORT.NODE = 1 then
 
                YIELD_COUNT := YIELD_COUNT - 1;
Index: c/src/ada-tests/mptests/mp14/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp14/mptest.ads	(revision ed902c2423332bacd9b0950801bb6c3187bdaa83)
+++ c/src/ada-tests/mptests/mp14/mptest.ads	(revision 23848bbd80f00aa8e271322f19871c0ba1366803)
@@ -107,6 +107,5 @@
 
    BUFFER_AREAS : array (  RTEMS.UNSIGNED32 range 1 .. 4 ) of RTEMS.BUFFER;
-   BUFFERS      : 
-      array (  RTEMS.UNSIGNED32 range 1 .. 4 ) of RTEMS.BUFFER_POINTER;
+   BUFFERS      : array (  RTEMS.UNSIGNED32 range 1 .. 4 ) of RTEMS.ADDRESS;
 
 --
@@ -142,5 +141,5 @@
 --
 
-   STOP_TEST : RTEMS.BOOLEAN;
+   STOP_TEST : BOOLEAN;
  
 --
@@ -240,106 +239,3 @@
    );
 
---
---  This is the Driver Address Table for this test.
---
-
-   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
-   (1=>
-      (
-        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
-        RTEMS.NO_DRIVER_ENTRY,                       -- Open
-        RTEMS.NO_DRIVER_ENTRY,                       -- Close
-        RTEMS.NO_DRIVER_ENTRY,                       -- Read
-        RTEMS.NO_DRIVER_ENTRY,                       -- Write
-        RTEMS.NO_DRIVER_ENTRY                        -- Control
-      )
-   );
-
---
---  This is the Initialization Tasks Table for this test.
---
-
-   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
-   (1=>
-     (
-       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
-       2048,                                          -- stack size
-       1,                                             -- priority
-       RTEMS.DEFAULT_ATTRIBUTES,                      -- attributes
-       MPTEST.INIT'ACCESS,                            -- entry point
-       RTEMS.TIMESLICE,                              -- initial mode
-       0                                              -- argument list
-     )
-   );
-
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                             BEGIN SUBPACKAGE                           --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
-   --
-   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
-   --
-   --  DESCRIPTION:
-   --
-   --  This package is the specification for the subpackage
-   --  which will define the per node configuration parameters.
-   --
-   
-   package PER_NODE_CONFIGURATION is
-
-   --
-   --  LOCAL_NODE_NUMBER
-   --
-   --  DESCRIPTION:
-   --
-   --  This function returns the node number for this node.
-   --
-
-      function LOCAL_NODE_NUMBER 
-      return RTEMS.UNSIGNED32;
-  
-      pragma INLINE ( LOCAL_NODE_NUMBER );
-
-   end PER_NODE_CONFIGURATION;
-  
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
---                              END SUBPACKAGE                            --
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
-
---
---  This is the Multiprocessor Configuration Table for this test.
---
-
-   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
-      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
-      2,                         -- maximum # nodes in system 
-      32,                        -- maximum # global objects
-      32                         -- maximum # proxies
-    );
-
---
---  This is the Configuration Table for this test.
---
-
-   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
-      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
-      64 * 1024,                 -- executive RAM size
-      10,                        -- maximum # tasks
-      12,                        -- maximum # timers
-      1,                         -- maximum # semaphores
-      1,                         -- maximum # message queues
-      1,                         -- maximum # messages
-      1,                         -- maximum # partitions
-      0,                         -- maximum # regions
-      0,                         -- maximum # dp memory areas
-      0,                         -- maximum # periods
-      0,                         -- maximum # user extensions
-      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
-      1                          -- # ticks in a timeslice
-  );
-
 end MPTEST;
